You are receiving this mail as a port that you maintain
is failing to build on the FreeBSD package build server.
Please investigate the failure and submit a PR to fix
build.

Maintainer:     thera...@freebsd.org
Last committer: b...@freebsd.org
Ident:          $FreeBSD: head/x11-toolkits/gnustep-gui/Makefile 341513 
2014-01-28 08:31:56Z bapt $
Log URL:        
http://beefy1.isc.freebsd.org/bulk/84i386-default/2014-06-11_12h07m14s/logs/gnustep-gui-0.24.0.log
Build URL:      
http://beefy1.isc.freebsd.org/bulk/84i386-default/2014-06-11_12h07m14s
Log:

====>> Building x11-toolkits/gnustep-gui
build started at Wed Jun 11 14:08:33 UTC 2014
port directory: /usr/ports/x11-toolkits/gnustep-gui
building for: FreeBSD 84i386-default-job-03 8.4-RELEASE-p10 FreeBSD 
8.4-RELEASE-p10 i386
maintained by: thera...@freebsd.org
Makefile ident:      $FreeBSD: head/x11-toolkits/gnustep-gui/Makefile 341513 
2014-01-28 08:31:56Z bapt $
Poudriere version: 3.1-pre
Host OSVERSION: 1100022
Jail OSVERSION: 804000

---Begin Environment---
UNAME_m=i386
UNAME_p=i386
OSVERSION=804000
UNAME_v=FreeBSD 8.4-RELEASE-p10
UNAME_r=8.4-RELEASE-p10
FTP_PASSIVE_MODE=YES
BLOCKSIZE=K
MAIL=/var/mail/root
STATUS=1
SAVED_TERM=
MASTERMNT=/usr/local/poudriere/data/build/84i386-default/ref
PKG_EXT=txz
tpid=93540
PATH=/sbin:/bin:/usr/sbin:/usr/bin:/usr/games:/usr/local/sbin:/usr/local/bin:/root/bin
POUDRIERE_BUILD_TYPE=bulk
PKGNG=1
PKGNAME=gnustep-gui-0.24.0
PKG_DELETE=/usr/local/sbin/pkg-static delete -y -f
PKG_ADD=/usr/local/sbin/pkg-static add
OLDPWD=/usr/local/poudriere/data/build/84i386-default/ref/poudriere/rdeps
PWD=/usr/local/poudriere/data/build/84i386-default/ref/poudriere/pool
MASTERNAME=84i386-default
USER=root
HOME=/root
POUDRIERE_VERSION=3.1-pre
LOCALBASE=/usr/local
PACKAGE_BUILDING=yes
PKG_VERSION=/poudriere/pkg-static version
PKG_BIN=/usr/local/sbin/pkg-static
---End Environment---

---Begin OPTIONS List---
===> The following configuration options are available for gnustep-gui-0.24.0:
     ASPELL=off: Spell checking support via GNU Aspell
     CUPS=on: CUPS printing system support
     DOCS=on: Build and/or install documentation
===> Use 'make config' to modify these settings
---End OPTIONS List---

--CONFIGURE_ARGS--
--with-tiff-library=/usr/local/lib --with-tiff-include=/usr/local/include 
--with-jpeg-library=/usr/local/lib --with-jpeg-include=/usr/local/include 
--with-x --with-x-include=/usr/local/include --with-x-include=/usr/local/lib 
--disable-aspell --enable-cups --x-libraries=/usr/local/lib 
--x-includes=/usr/local/include --prefix=/usr/local ${_LATE_CONFIGURE_ARGS}
--End CONFIGURE_ARGS--

--CONFIGURE_ENV--
TMPDIR="/tmp" PKG_CONFIG=pkgconf MAKE=gmake SHELL=/bin/sh CONFIG_SHELL=/bin/sh 
CONFIG_SITE=/usr/ports/Templates/config.site lt_cv_sys_max_cmd_len=262144
--End CONFIGURE_ENV--

--MAKE_ENV--
GNUSTEP_INSTALLATION_DOMAIN=SYSTEM TMPDIR="/tmp" 
ADDITIONAL_INCLUDE_DIRS="-I/usr/local/include/libpng15" 
"CC=/usr/local/bin/clang33 CXX=/usr/local/bin/clang++33" NO_PIE=yes 
SHELL=/bin/sh NO_LINT=YES PREFIX=/usr/local  LOCALBASE=/usr/local  
LIBDIR="/usr/lib"  CC="/usr/local/bin/clang33" CFLAGS="-O2 -pipe 
-fno-strict-aliasing"  CPP="/usr/local/bin/clang-cpp33" CPPFLAGS=""  LDFLAGS="" 
 CXX="/usr/local/bin/clang++33" CXXFLAGS="-O2 -pipe -fno-strict-aliasing"  
MANPREFIX="/usr/local" BSD_INSTALL_PROGRAM="install  -s -o root -g wheel -m 
555"  BSD_INSTALL_LIB="install  -s -o root -g wheel -m 444"  
BSD_INSTALL_SCRIPT="install  -o root -g wheel -m 555"  
BSD_INSTALL_DATA="install  -o root -g wheel -m 444"  BSD_INSTALL_MAN="install  
-o root -g wheel -m 444"
--End MAKE_ENV--

--PLIST_SUB--
BASEVERSION=0.24
ASPELL="@comment
"
NO_ASPELL=""
CUPS=""
NO_CUPS="@comment
"
DOCS=""
NO_DOCS="@comment
"
GNUSTEP_DEVEL="@comment
"
GNUSTEP_STABLE=""
GNU_ARCH=ix86
VERSION=0.24.0
MAJORVERSION=0
LIBVERSION=0.0.1
MAJORLIBVERSION=0
OSREL=8.4
PREFIX=%D
LOCALBASE=/usr/local
PORTDOCS=""
PORTEXAMPLES=""
PORTDATA=""
LIB32DIR=lib
DOCSDIR="share/doc/gnustep-gui"
EXAMPLESDIR="share/examples/gnustep-gui"
DATADIR="share/gnustep-gui"
WWWDIR="www/gnustep-gui"
ETCDIR="etc/gnustep-gui"
--End PLIST_SUB--

--SUB_LIST--
ASPELL="@comment
"
NO_ASPELL=""
CUPS=""
NO_CUPS="@comment
"
DOCS=""
NO_DOCS="@comment
"
PREFIX=/usr/local
LOCALBASE=/usr/local
DATADIR=/usr/local/share/gnustep-gui
DOCSDIR=/usr/local/share/doc/gnustep-gui
EXAMPLESDIR=/usr/local/share/examples/gnustep-gui
WWWDIR=/usr/local/www/gnustep-gui
ETCDIR=/usr/local/etc/gnustep-gui
--End SUB_LIST--

---Begin make.conf---
ARCH=i386
MACHINE=i386
MACHINE_ARCH=i386
USE_PACKAGE_DEPENDS=yes
BATCH=yes
WRKDIRPREFIX=/wrkdirs
PORTSDIR=/usr/ports
PACKAGES=/packages
DISTDIR=/distfiles
#### /usr/local/etc/poudriere.d/make.conf ####
WITH_PKGNG=yes
# clean-restricted via poudriere.conf NO_RESTRICTED
#NO_RESTRICTED=yes
DISABLE_MAKE_JOBS=poudriere
---End make.conf---
===>  Cleaning for gnustep-gui-0.24.0
=======================<phase: check-sanity   >============================
===>  License GPLv3 LGPL3 accepted by the user
===========================================================================
=======================<phase: pkg-depends    >============================
===>   gnustep-gui-0.24.0 depends on file: /usr/local/sbin/pkg - not found
===>    Verifying install for /usr/local/sbin/pkg in /usr/ports/ports-mgmt/pkg
===>   Installing existing package /packages/All/pkg-1.2.7_2.txz
Installing pkg-1.2.7_2... done
If you are upgrading from the old package format, first run:

  # pkg2ng
===>   Returning to build of gnustep-gui-0.24.0
===========================================================================
=======================<phase: fetch-depends  >============================
===========================================================================
=======================<phase: fetch          >============================
===>  License GPLv3 LGPL3 accepted by the user
===> Fetching all distfiles required by gnustep-gui-0.24.0 for building
===========================================================================
=======================<phase: checksum       >============================
===>  License GPLv3 LGPL3 accepted by the user
===> Fetching all distfiles required by gnustep-gui-0.24.0 for building
=> SHA256 Checksum OK for gnustep-gui-0.24.0.tar.gz.
===========================================================================
=======================<phase: extract-depends>============================
===========================================================================
=======================<phase: extract        >============================
===>  License GPLv3 LGPL3 accepted by the user
===> Fetching all distfiles required by gnustep-gui-0.24.0 for building
===>  Extracting for gnustep-gui-0.24.0
=> SHA256 Checksum OK for gnustep-gui-0.24.0.tar.gz.
===========================================================================
=======================<phase: patch-depends  >============================
===========================================================================
=======================<phase: patch          >============================
===>  Patching for gnustep-gui-0.24.0
===>  Applying extra patch 
/usr/ports/x11-toolkits/gnustep-gui/files/GNUmakefile.patch
===>  Applying extra patch 
/usr/ports/x11-toolkits/gnustep-gui/files/GNUmakefile.speech.patch
===>  Applying extra patch 
/usr/ports/x11-toolkits/gnustep-gui/files/AudioOutputSink.m.patch
===>  Applying FreeBSD patches for gnustep-gui-0.24.0
/usr/bin/sed -i.bak -e "s|libpng/png.h|png.h|" 
/wrkdirs/usr/ports/x11-toolkits/gnustep-gui/work/gnustep-gui-0.24.0/configure
/usr/bin/sed -i.bak -e "s|doc=no|doc=yes|" 
/wrkdirs/usr/ports/x11-toolkits/gnustep-gui/work/gnustep-gui-0.24.0/GNUmakefile
===========================================================================
=======================<phase: build-depends  >============================
===>   gnustep-gui-0.24.0 depends on file: /usr/local/lib/libflite.a - not found
===>    Verifying install for /usr/local/lib/libflite.a in 
/usr/ports/audio/flite
===>   Installing existing package /packages/All/flite-1.4.txz
Installing flite-1.4... done
===>   Returning to build of gnustep-gui-0.24.0
===>   gnustep-gui-0.24.0 depends on executable: texi2html - not found
===>    Verifying install for texi2html in /usr/ports/textproc/texi2html
===>   Installing existing package /packages/All/texi2html-5.0_1,1.txz
Installing texi2html-5.0_1,1...Installing gettext-0.18.3.1_1...Installing 
libiconv-1.14_3... done
 done
Installing perl5-5.16.3_11... done
 done
===>   Returning to build of gnustep-gui-0.24.0
===>   gnustep-gui-0.24.0 depends on executable: texi2pdf - not found
===>    Verifying install for texi2pdf in /usr/ports/print/texinfo
===>   Installing existing package /packages/All/texinfo-5.2.20140505.txz
Installing texinfo-5.2.20140505... done
===>   Returning to build of gnustep-gui-0.24.0
===>   gnustep-gui-0.24.0 depends on file: 
/usr/local/GNUstep/System/Library/Makefiles/GNUstep.sh - not found
===>    Verifying install for 
/usr/local/GNUstep/System/Library/Makefiles/GNUstep.sh in 
/usr/ports/devel/gnustep-make
===>   Installing existing package /packages/All/gnustep-make-2.6.6.txz
Installing gnustep-make-2.6.6... done
===>   Returning to build of gnustep-gui-0.24.0
===>   gnustep-gui-0.24.0 depends on file: /usr/local/bin/clang33 - not found
<snip>
 Compiling file GSLPRPrinter.m ...
 Linking bundle GSLPR ...
 Creating GSLPR.bundle/Resources...
 Creating stamp file...
 Creating GSLPR.bundle/Resources/Info-gnustep.plist...
Making all in GSCUPS ...
Making all for bundle GSCUPS...
 Creating GSCUPS.bundle/....
 Compiling file GSCUPSPrincipalClass.m ...
 Compiling file GSCUPSPageLayout.m ...
 Compiling file GSCUPSPrintInfo.m ...
 Compiling file GSCUPSPrintOperation.m ...
 Compiling file GSCUPSPrintPanel.m ...
 Compiling file GSCUPSPrinter.m ...
 Linking bundle GSCUPS ...
 Creating GSCUPS.bundle/Resources...
 Creating stamp file...
 Creating GSCUPS.bundle/Resources/Info-gnustep.plist...
Making all in Themes ...
gmake[1]: Nothing to be done for `all'.
Making all in Tests ...
If you want to run the gnustep-gui testsuite, please type 'make check'
Making all in Documentation ...
Making all in General ...
Making all for doc General...
 Generating reference documentation...
gmake[3]: Nothing to be done for `internal-doc-all'.
Making all in GuiUser ...
Making all for doc GuiUser...
 Generating reference documentation...
gmake[3]: Nothing to be done for `internal-doc-all'.
Making all in manual ...
Making all for doc AppKit...
makeinfo -D NO-TEXI2HTML  \
        -o AppKit.info AppKit.texi
texi2pdf   \
        AppKit.texi -o AppKit.pdf
You don't have a working TeX binary (tex) installed anywhere in
your PATH, and texi2dvi cannot proceed without one.  If you want to use
this script, you'll need to install TeX (if you don't have it) or change
your PATH or TEX environment variable (if you do).  See the --help
output for more details.

For information about obtaining TeX, please see http://tug.org/texlive,
or do a web search for TeX and your operating system or distro.
gmake[3]: [AppKit.pdf] Error 1 (ignored)
texi2html -split_chapter -expandinfo  \
        AppKit.texi
Making all for doc ReleaseNotes...
 Generating reference documentation...
gmake[2]: Nothing to be done for `internal-doc-all'.
Making all for doc Gui...
gmake[2]: Nothing to be done for `internal-doc-all'.
Making all for doc GuiAdditions...
gmake[2]: Nothing to be done for `internal-doc-all'.
Making all for textdoc INSTALL...
rm -f version.texi
echo '@set GNUSTEP-GUI-VERSION' 0.24.0 \
        > version.texi
echo '@set GNUSTEP-GUI-GCC 4.0.0' \
        >> version.texi
echo '@set GNUSTEP-GUI-BASE 1.24.6' \
        >> version.texi
echo '@set GNUSTEP-GUI-LIBTIFF 3.4' \
        >> version.texi
if [ ftp.gnustep.org ]; then \
  echo '@set GNUSTEP-GUI-FTP-MACHINE ftp.gnustep.org' \
        >> version.texi; fi
if [ pub/gnustep/core ]; then \
  echo '@set GNUSTEP-GUI-FTP-DIRECTORY pub/gnustep/core' \
        >> version.texi; fi
makeinfo -D NO-TEXI2HTML -D TEXT-ONLY --no-header --no-split  \
        -o INSTALL install.texi
Making all for textdoc NEWS...
makeinfo -D NO-TEXI2HTML -D TEXT-ONLY --no-header --no-split  \
        -o NEWS news.texi
Making all for textdoc README...
makeinfo -D NO-TEXI2HTML -D TEXT-ONLY --no-header --no-split  \
        -o README readme.texi
Making all for textdoc ANNOUNCE...
makeinfo -D NO-TEXI2HTML -D TEXT-ONLY --no-header --no-split  \
        -o ANNOUNCE announce.texi
Making all for textdoc BUGS...
makeinfo -D NO-TEXI2HTML -D TEXT-ONLY --no-header --no-split  \
        -o BUGS todo.texi
gmake -C ../Source -f DocMakefile
/usr/local/GNUstep/System/Library/Makefiles/mkinstalldirs ../Documentation/Gui
/usr/local/GNUstep/System/Library/Makefiles/mkinstalldirs 
../Documentation/GuiAdditions
cp ../Documentation/Gui.gsdoc .
cp ../Documentation/GuiAdditions.gsdoc .
Making all for doc Gui...
 Generating reference documentation...
Usage:
    autogsdoc [options] [files]

 Options:
     -InstanceVariablesAtEnd            BOOL    (YES)
        put instance variable docs at end of class

     -MakeFrames                        BOOL    (NO)
        if YES, create documentation pages for display in HTML frames

     -MakeDependencies                  STR     ("")
        file to output dependency info for 'make' into

     -Projects                          STR     ("None")
        explicit list of other projects to index

     -WordMap                           special (nil)
        dictionary used to preprocess (see docs)

     -Up                                STR     ("")
        filename to link to from generated HTML

     -GenerateParagraphMarkup           BOOL    (NO)
        if YES, wrap paragraphs delimited by \n\n in <p> tags when possible

     -DocumentInstanceVariables         BOOL    (YES)
        document instance variables at all

     -Standards                         BOOL    (NO)
        whether to insert information on standards compliance

     -CleanTemplates                    BOOL    (NO)
        remove template files when cleaning

     -Warn                              BOOL    (NO)
        produce warnings

     -FunctionsTemplate                 STR     ("")
        file into which docs for functions should be consolidated

     -SystemProjects                    STR     ("None")
        whether to include system projects in index

     -DocumentAllInstanceVariables      BOOL    (NO)
        document private instance variables

     -HeaderDirectory                   STR     (.)
        directory to search for .h files

     -Verbose                           BOOL    (NO)
        produce verbose output

     -LocalProjects                     STR     ("None")
        whether to include other projects in index

     -DocumentationDirectory            STR     (.)
        directory to place generated files and search for gsdoc files

     -IgnoreDependencies                BOOL    (NO)
        ignore file mod times (always generate)

     -DTDs                      String  (nil)
        If set, look for DTDs in the given directory

     -TypedefsTemplate                  STR     ("")
        file into which docs for typedefs should be consolidated

     -Declared                          STR     ("")
        specify where headers are to be documented as being found

     -MacrosTemplate                    STR     ("")
        file into which docs for macros should be consolidated

     -GenerateHtml                      BOOL    (YES)
        generate HTML output (as opposed to just gsdoc from source)

     -Clean                             BOOL    (NO)
        remove all generated files

     -VariablesTemplate                 STR     ("")
        file into which docs for variables should be consolidated

     -Project                           STR     ("Untitled")
        head title name of this documentation

     -ShowDependencies                  BOOL    (NO)
        log files being regenerated due to dependencies

     -ConstantsTemplate                 STR     ("")
        file into which docs for constants should be consolidated

     -Files                             STR     ("")
        name of file containing filenames to document


 Files:
  [.h files]            Must be in 'HeaderDirectory'
  [.m files]            Absolute or relative path (from here)
  [.gsdoc files]        Must be in 'DocumentationDirectory'

gmake[3]: *** No rule to make target `Gui/dependencies', needed by 
`internal-doc-all_'.  Stop.
gmake[2]: *** [Gui.all.doc.variables] Error 2
gmake[1]: *** [after-all] Error 2
gmake: *** [internal-all] Error 2
*** Error code 2

Stop in /usr/ports/x11-toolkits/gnustep-gui.
===>  Cleaning for gnustep-gui-0.24.0
_______________________________________________
freebsd-pkg-fallout@freebsd.org mailing list
https://lists.freebsd.org/mailman/listinfo/freebsd-pkg-fallout
To unsubscribe, send any mail to "freebsd-pkg-fallout-unsubscr...@freebsd.org"

Reply via email to